/*****************************************************************************/
/* fesim.h                                                                   */
/*                                                                           */
/* SDE Front End filter and FADC simulation program for                      */
/* Pierre Auger Observatory                                                  */
/*                                                                           */
/* Christian Grunfeld - Nov 2002                                             */
/* cmg@fisica.unlp.edu.ar                                                    */
/*****************************************************************************/

 
/*****************************************************************************/
/* User input changeable parameters                                          */
/* PULSE_NUM: number of input pulses                                         */
/* PULSE_LENGH: number of sample points per pulse                            */
/* SAMPLE_TIME: sample time in nano seconds                                  */
/*****************************************************************************/
#define PULSE_NUM 10
#define PULSE_LENGH 500
#define SAMPLE_TIME 2
 
 
/*****************************************************************************/
/* Size of the 1nsec interpolated pulse and size of the output pulse @25nsec */
/*****************************************************************************/
#define UP_SIZE ((SAMPLE_TIME*PULSE_LENGH)-(SAMPLE_TIME-1))
#define DOWN_SIZE ( (int)(UP_SIZE / 25) )

